#include <cstdio>
#include <iostream>
#include <math.h>
using namespace std;
int main(){
	freopen("transport.in","r",stdin);
	long k,N,V,L,x_i,t_i; float t,V1;//t мин
	cin>>k;
	for (int i=0; i<k; i++){
		cin>>N>>V>>L; //N<=30, v=>1, l<=200
		V1=V;
		V1/=60;
		t=L/V1;
		for (int j=0; j<N; j++){cin>>x_i>>t_i;
		t+=t_i;
		}
		printf("%.2f\n",t);
	}
	return 0;
}